<template>
  <!-- <div class="row"> -->
  <div class="col-md-4">
    <div class="input-group">
      <input
        type="text"
        placeholder="Search.."
        class="form-control capsule"
        v-model="filterText"
        @keyup.enter="doFilter"
      >
      <div class="input-group-append">
        <button type="submit" class="btn search_icon" @click="doFilter">
          <i class="fas fa-search"></i>
        </button>
      </div>
    </div>
  </div>
  <!-- </div> -->
</template>

<script>
import EventBus from "@/EventBus.js";

export default {
  data() {
    return {
      filterText: ""
    };
  },
  methods: {
    doFilter() {
      EventBus.$emit("tableFilterSet", { filterText: this.filterText });
    },
    resetFilter() {
      this.filterText = "";
      EventBus.$emit("tableFilterReset");
    }
  }
};
</script>
